
module.exports = function(billingAccount) {

/**
 * billingAccountGet
 * @param {string} billingAccountId undefined
 * @param {string} fields 
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {BillingAccount} result Result object
 */
billingAccount.get = function(billingAccountId, fields, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}


/**
 * billingAccountPatch
 * @param {string} billingAccountId undefined
 * @param {BillingAccount} billingAccount undefined
 * @callback {Function} callback Callback function
 * @param {Error|string} err Error object
 * @param {BillingAccount} result Result object
 */
billingAccount.patch = function(billingAccountId, billingAccount, callback) {

  // Replace the code below with your implementation.
  // Please make sure the callback is invoked.
  process.nextTick(function() {
    var err = new Error('Not implemented');
    callback(err);
  });
  
}




billingAccount.remoteMethod('get',
  { isStatic: true,
  accepts: 
   [ { arg: 'billingAccountId',
       type: 'string',
       description: undefined,
       required: true,
       http: { source: 'path' } },
     { arg: 'fields',
       type: 'string',
       description: '',
       required: false,
       http: { source: 'query' } } ],
  returns: 
   [ { description: 'BillingAccount',
       type: 'BillingAccount',
       arg: 'data',
       root: true } ],
  http: { verb: 'get', path: '/:billingAccountId' },
  description: '' }
);

billingAccount.remoteMethod('patch',
  { isStatic: true,
  accepts: 
   [ { arg: 'billingAccountId',
       type: 'string',
       description: undefined,
       required: true,
       http: { source: 'path' } },
     { arg: 'billingAccount',
       type: 'BillingAccount',
       description: undefined,
       required: true,
       http: { source: 'body' } } ],
  returns: 
   [ { description: 'Success BillingAccount',
       type: 'BillingAccount',
       arg: 'data',
       root: true } ],
  http: { verb: 'patch', path: '/:billingAccountId' },
  description: '' }
);

}
